package com.sky.ioc.service.space;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * TODO 空间
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:43
 **/
public interface SpaceService {

    ReturnMsg getBuildingSituation();

    ReturnMsg getFloorCoreIndicators(IocParam iocParam);

    ReturnMsg getAccessPersonnel(IocParam iocParam);

    ReturnMsg getFloorList(IocParam iocParam);

    ReturnMsg getMeetingCoreIndicators(IocParam iocParam);

    ReturnMsg getConferenceRoomInfo(IocParam iocParam);

    ReturnMsg getMeetingCostTrend(IocParam iocParam);

    ReturnMsg getSpaceInfo(IocParam iocParam);

    ReturnMsg getSpaceCoreIndicators(IocParam iocParam);

    ReturnMsg getSpaceOverview();
}
